qtscript-opensource-src (5.15.8+dfsg-2ok4) yangtze; urgency=medium

  * rebuild for risc

 -- hanpinlong <hanpinlong@kylinos.cn>  Wed, 07 Jun 2023 09:32:00 +0800

qtscript-opensource-src (5.15.8+dfsg-2ok3) yangtze; urgency=medium

  * change debian/rules

 -- hanpinlong <hanpinlong@kylinos.cn>  Thu, 30 Mar 2023 10:17:42 +0800

qtscript-opensource-src (5.15.8+dfsg-2ok2) yangtze; urgency=medium

  * change control #Build-Depends-Indep

 -- hanpinlong <hanpinlong@kylinos.cn>  Thu, 30 Mar 2023 10:17:42 +0800

qtscript-opensource-src (5.15.8+dfsg-2ok1) yangtze; urgency=medium

  * rebuild for kylin

 -- hanpinlong <hanpinlong@kylinos.cn>  Wed, 29 Mar 2023 16:01:46 +0800

qtscript-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:01 +0400

qtscript-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:14:25 +0400

qtscript-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:26 +0300

qtscript-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:53:54 +0300

qtscript-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

qtscript-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:17:55 +0300

qtscript-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 00:20:01 +0300

qtscript-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:43 +0300

qtscript-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:09:54 +0300

qtscript-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Update debian/source/lintian-overrides for new Lintian version.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 22:25:25 +0300

qtscript-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:11 +0300

qtscript-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtscript5-doc, qtscript5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 21:26:23 +0300

qtscript-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5script5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:54 +0300

qtscript-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Add Qt_5.15 version tag to the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Sep 2020 22:31:19 +0300

qtscript-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:42:07 +0300

qtscript-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update debian/copyright for upstream LGPL-2.1 → LGPL-3 or GPL change.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now the default.
  * Remove -Wl,--as-needed flag, it is the default in Bullseye.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 May 2020 16:03:26 +0300

qtscript-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update Standards-Version to 4.5.0, no changes required.
  * Switch to debhelper compat 12, using debhelper-compat as a build ependency.
  * Replace renamed lintian override insane-line-length-in-source-file to
    very-long-line-length-in-source-file.
  * Set Rules-Requires-Root: no.
  * Make qtscript-dev dependency on qtbase5-dev conditional with
    qtbase5-gles-dev.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2020 21:25:08 -0300

qtscript-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5script5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 11:33:24 +0300

qtscript-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to the symbols files.
  * Bump Qt build-dependencies to 5.12.5.
  * Use debian/not-installed instead of a custom override target.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Oct 2019 12:24:57 +0300

qtscript-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Update Homepage URL.
  * Rewrite debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jul 2019 16:42:01 +0300

qtscript-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop asm_no_volatile.diff, included in the new release.
  * Rebase s390x_jscore.diff.
  * Bump Qt build-dependencies to 5.12.2.
  * Remove dh_auto_test override, QT_LOGGING_RULES is no longer needed.
  * Install one new header (qtscript-config.h).
  * Add Qt_5.12 version tag to the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 23:58:16 +0300

qtscript-opensource-src (5.11.3+dfsg-3) unstable; urgency=medium

  * Add upstream patch to fix build with GCC 8.3 (closes: #924846).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Mar 2019 11:22:13 +0300

qtscript-opensource-src (5.11.3+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix stack base detection on hppa (closes: #916657).
    Thanks John David Anglin for the patch!

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:25:34 -0300

qtscript-opensource-src (5.11.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 06 Dec 2018 15:52:04 -0300

qtscript-opensource-src (5.11.2+dfsg-2) unstable; urgency=medium

  * Refresh debian/patches/disable_failing_tests.diff.
  * Drop explicit build-dependency on libqt5sql5-sqlite.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 10:29:38 +0300

qtscript-opensource-src (5.11.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.2.1, no changes needed.
  * Bump Qt build dependencies to 5.11.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Oct 2018 19:03:58 -0500

qtscript-opensource-src (5.11.1+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtscript-opensource-src (5.11.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Remove ~ from debhelper dependency.
  * Bump build dependencies to 5.11.1.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Update symbols from amd64 build logs.
  * Update copyright ref URL.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 26 Jun 2018 14:26:38 -0500

qtscript-opensource-src (5.10.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 16:47:52 -0300

qtscript-opensource-src (5.10.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump debhelper compat to 11.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Update debian/watch to fillow new upstream naming scheme.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Mar 2018 16:29:04 -0300

qtscript-opensource-src (5.9.2+dfsg-2) unstable; urgency=medium

  * Do not call qmake directly anymore (Closes: #880934). Depend upon
    debhelper >= 10.9.2~ to get the proper fix.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Dec 2017 13:20:11 -0300

qtscript-opensource-src (5.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Update debian/libqt5script5.symbols from buildds’ logs.
  * Stop using deprecated Priority: extra.
  * Bump Standards-Version to 4.1.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 21:03:34 +0300

qtscript-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop qtscript5-private-dev package, there are no remaining reverse
    dependencies.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 22:05:47 -0300

qtscript-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt5script5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump Qt build-dependencies to 5.9.1.
  * Simplify debian/watch to track only stable releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jul 2017 22:36:26 +0300

qtscript-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Modify debian/watch to automatically pick up new development *and*
    final releases.
  * Add myself to Uploaders.

  [ Dmitry Shachnev ]
  * Export QT_LOGGING_RULES="default.debug=true" to unbreak the tests
    (this is needed to override settings from our new qtlogging.ini file).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 12:02:34 -0500

qtscript-opensource-src (5.9.0~beta3+dfsg-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/watch to track development releases.
  * Bump Qt build-dependencies to 5.9.0~beta.
  * Migrate to automatic dbgsym packages.
  * Add support for “nodoc” build profile.
  * Ignore the tests failures for now, will be investigated later.
  * Remove the debian/copyright entry for dropped ce-compat code.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Apr 2017 14:58:31 +0300

qtscript-opensource-src (5.7.1~20161021+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 08:46:37 -0300

qtscript-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Oct 2016 16:23:11 -0300

qtscript-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt5script5.symbols from 5.6.1 build log.
  * Bump Qt build-dependencies to 5.7.0.
  * Add Qt_5.7 version tag to the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jul 2016 22:02:54 +0300

qtscript-opensource-src (5.6.1+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:56:55 -0300

qtscript-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 18:42:03 -0300

qtscript-opensource-src (5.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
    - Restore debian/watch to official releases.
  * Update symbols files with buildds' logs.
  * Add the dfsg suffix when repacking tarballs using uscan.
  * Add source lintian-overrides for javascript tests that Lintian sees as
    minified files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 13:49:17 -0300

qtscript-opensource-src (5.6.0~rc+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump qtbase5-private-dev build-dependency to 5.6.0~rc.
  * Use recommended https URIs for Vcs fields.
  * Run tests outside Xvfb, it is not needed.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Drop enable-make-check.patch, seems to be not needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2016 22:56:13 +0300

qtscript-opensource-src (5.6.0~beta+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream beta release.
  * Update symbols files with buildds' logs.
  * Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Re-enable building the documentation.
    - See debian/README.source in qtbase for details on how we handle it.
    - Add libqt5sql5-sqlite and qttools5-dev-tools to Build-Depends-Indep.
  * Update the symbols files using the migrate-symbols script and from the
    current build log.
  * Stop running pkgkde-mark-private-symbols on build time. The new way is
    running pkgkde-mark-qt5-private-symbols after every symbols update.
  * Bump the ABI version to 5-6-0.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Feb 2016 14:06:33 +0300

qtscript-opensource-src (5.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:48:16 -0300

qtscript-opensource-src (5.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 15 Oct 2015 21:15:53 -0300

qtscript-opensource-src (5.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Update debian/copyright.
  * Simplify and update libqt5script5.symbols (and fix syntax errors).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Aug 2015 21:09:33 +0300

qtscript-opensource-src (5.4.2+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Aug 2015 13:55:07 -0300

qtscript-opensource-src (5.4.2+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Aug 2015 10:50:59 -0300

qtscript-opensource-src (5.4.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 09:26:32 -0300

qtscript-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Update symbols files with buildds' logs.
  * Refresh s390x_jscore.diff.
  * Remove ppc64el_jscore.diff, applied upstream.
  * Use pkgkde-make-private-symbols from pkg-kde-tools 0.15.17.
    - Drop the relevant entry in debian/copyright.
  * Expose HTML documentation (Closes: #751181).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 17:36:59 -0300

qtscript-opensource-src (5.4.1+dfsg-3) experimental; urgency=medium

  * Add upstream patch to correctly detect little-endian ppc/ppc64.
  * mark_private_symbols.sh: Strip trailing colon from symbols names.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2015 22:06:25 +0300

qtscript-opensource-src (5.4.1+dfsg-2) experimental; urgency=medium

  * Disable some failing tests.
  * Remove a symbol from libqt5script5.symbols that should not be there.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 15:34:04 +0300

qtscript-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Build-depend on qtbase 5.4.1.
  * Drop upstream_Disable-pthread_np.h-on-BSD-w-GNU-libc.patch, applied
    upstream.
  * Refresh s390x_jscore.diff.
  * Update debian/copyright.
  * Run the tests during build.
  * Mark three destructors symbols as optional to fix build with GCC 5
    (closes: #778093).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 13:13:33 +0300

qtscript-opensource-src (5.4.0+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 52e775b4d0e59dfb44c22b070f272dbc21014389 to fix
    build on GNU/kFreeBSD, making sure that pthread_np.h is not used;
    patch upstream_Disable-pthread_np.h-on-BSD-w-GNU-libc.patch.

  [ Dmitry Shachnev ]
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Jan 2015 18:14:24 +0300

qtscript-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on qtbase 5.4.0.
  * Add myself to Uploaders.
  * Update Vcs-Git URL to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update debian/copyright.
  * Use Files-Excluded instead of prune-nonfree.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Dec 2014 17:18:09 +0300

qtscript-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Sep 2014 23:38:08 -0300

qtscript-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 22:07:20 -0300

qtscript-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  * Bump qtbase's build dependencies to >= 5.3.1-2 to get qtbase-abi-5-3-1.
  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jun 2014 23:59:44 -0300

qtscript-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Mark new private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 23:43:47 -0300

qtscript-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with buildds' and mips64el's logs.
  * Update symbols files with current log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 20:23:08 -0300

qtscript-opensource-src (5.3.0+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Jun 2014 12:03:23 -0300

qtscript-opensource-src (5.3.0+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs (Closes: #746899).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Jun 2014 11:16:00 -0300

qtscript-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Development packages are now Arch: any and Multi-Arch: same.
  * Search for private symbols at build time and produce a diff so as to be
    able to get the changes from build logs.
    - Modify mark_private_symbols.sh.
    - Run mark_private_symbols.sh from debian/rules.
  * Do not override dh_builddeb, xz is now the default compression method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 23:15:25 -0300

qtscript-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add missing word in qtscript5-private-dev's description (Closes: #745300).
    Thanks Pascal De Vuyst.
  * Do not build qtscript5-doc anymore from this source, thus allowing us to
    avoid a dependency on qttools and a circular dependency.
    The package will be built from qttools itself.
  * Bump the build dependency on qtbase to 5.3.0+dfsg~.
  * Refresh s390x_jscore.diff.
  * Move headers to their new multi-arch aware path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 May 2014 12:43:46 -0300

qtscript-opensource-src (5.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add license to mark_private_symbols.sh and corresponding entry in
    debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:19:17 -0300

qtscript-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Feb 2014 13:07:06 -0300

qtscript-opensource-src (5.2.0+dfsg-3) unstable; urgency=medium

  * Do not run tests until we get the transition sorted out.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 18:13:07 -0300

qtscript-opensource-src (5.2.0+dfsg-2) unstable; urgency=medium

  [ Iftikhar Ahmad ]
  * debian/patches/enable-make-check.patch:
    - Fix make check to work.
  * Run tests as part of the override_dh_auto_test

  [ Dmitry Shachnev ]
  * Provide qtscript-abi-5-2-0 (and not 5-1-0).
  * Build tests in build target, and use dh_auto_test.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 18:47:35 -0300

qtscript-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump build dependencies.
  * Refresh s390x_jscore.diff.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 14:15:37 -0300

qtscript-opensource-src (5.1.1+dfsg-2) unstable; urgency=low

  * Switch symbols substitutions failing in s390 from ssize_t to intptr_t
    (which is the correct type). Tested on a porterbox.
  * Confirm symbols files for all other archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Oct 2013 22:28:19 -0300

qtscript-opensource-src (5.1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Be verbose on the files we remove to make the source tarball DFSG
    compliant.
  * Tighten Qt 5 build dependencies.
  * Refresh s390x_jscore.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 22:11:00 -0300

qtscript-opensource-src (5.1.0+dfsg-3) unstable; urgency=low

  * Require pkg-kde-tools with version at least 0.15.8 to fix a symbol
    substitution on s390.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Aug 2013 20:50:33 -0300

qtscript-opensource-src (5.1.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 12:54:48 -0300

qtscript-opensource-src (5.1.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt dependencies to 5.1.0~.
  * Make libqt5script5 provide qtscript-api-5-1-0.
    In this way we can know if external packages are using private headers.
    - Add the necessary options in the symbols file.
    - Add mark_private_symbols.sh.
    - Mark private symbols.
    - Add lintian overrides for dependency on other lib.
  * Update install files.
  * Update symbols files.
  * Add third party copyright stuff for ce-compat.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 14 Jul 2013 16:25:38 -0300

qtscript-opensource-src (5.0.2+dfsg-3) experimental; urgency=low

  [ Pino Toscano ]
  * debian/control: remove extra ${misc:Pre-Depends} from qtscript5-examples.
  * Copy patch s390x_jscore.diff from qt4-x11 (which is a backport of an
    upstream commit) to support s390/s390x.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols file.
  * Make qtscript5-dbg M-A same to allow debugging symbols coinstalability.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 19:45:49 -0300

qtscript-opensource-src (5.0.2+dfsg-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 05 Jun 2013 15:06:13 -0300

qtscript-opensource-src (5.0.2+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 17 May 2013 16:35:39 -0300
